Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Class TextEditorActionContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.texteditor.BasicTextEditorActionContributor
              org.eclipse.ui.editors.text.TextEditorActionContributor

All Implemented Interfaces:
  IEditorActionBarContributor

public class TextEditorActionContributor
extends BasicTextEditorActionContributor

Manages the installation and de-installation of global actions for the default text editor.

If instantiated and used as-is, this contributor connects global actions and adds actions for line delimiter conversion and encoding support.

Since:
  2.0

Constructor Summary
`TextEditorActionContributor()` Creates a new contributor.

Method Summary
`void` | `dispose()` The `EditorActionBarContributor` implementation of this `IEditorActionBarContributor` method does nothing, subclasses may override.
`void` | `init(IActionBars bars)` This method calls: `contributeToMenu` with `bars`' menu manager `contributeToToolBar` with `bars`' tool bar manager `contributeToCoolBar` with `bars`' cool bar manager if `IActionBars` is of extended type `IActionBars2` `contributeToStatusLine` with `bars`' status line manager The given action bars are also remembered and made accessible via `getActionBars`.
`void` | `setActiveEditor(IEditorPart part)` The `BasicTextEditorActionContributor` implementation of this `IEditorActionBarContributor` method installs the global action handler for the given text editor by calling a private helper method.

Methods inherited from class org.eclipse.ui.texteditor.BasicTextEditorActionContributor
`contributeToMenu, contributeToStatusLine, getAction, getActiveEditorPart`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, contributeToToolBar, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextEditorActionContributor

    public TextEditorActionContributor()

  Creates a new contributor.

Method Detail

### setActiveEditor

    public void setActiveEditor(IEditorPart part)

  Description copied from class: `BasicTextEditorActionContributor`
  The `BasicTextEditorActionContributor` implementation of this `IEditorActionBarContributor` method installs the global action handler for the given text editor by calling a private helper method.

  Subclasses may extend.

  Specified by:
    `setActiveEditor` in interface `IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `BasicTextEditorActionContributor`
  Parameters:
    `part` -

### init

    public void init(IActionBars bars)

  Description copied from class: `EditorActionBarContributor`
  This method calls:
  - `contributeToMenu` with `bars`' menu manager
  - `contributeToToolBar` with `bars`' tool bar manager
  - `contributeToCoolBar` with `bars`' cool bar manager if `IActionBars` is of extended type `IActionBars2`
  - `contributeToStatusLine` with `bars`' status line manager
  The given action bars are also remembered and made accessible via `getActionBars`.

  Overrides:
    `init` in class `EditorActionBarContributor`
  Parameters:
    `bars` - the action bars

### dispose

    public void dispose()

  Description copied from class: `EditorActionBarContributor`
  The `EditorActionBarContributor` implementation of this `IEditorActionBarContributor` method does nothing, subclasses may override.

  Specified by:
    `dispose` in interface `IEditorActionBarContributor`
  Overrides:
    `dispose` in class `BasicTextEditorActionContributor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.